Subject: [bug#67896] [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Sören Tempel <[email-masked]>
Date: Sat, 18 May 2024 11:34:55 +0200

Hello again,

Lars-Dominik Braun <[email-masked]> wrote:
> However this is a world rebuilding change, so I’ll push it to the
> haskell-team branch and probably wait for #67921 to be ready before it
> can hit master.

Given that #67921 has been stale since February, is there any chance
that we could move forward with this? I would really like to use Guix
for some Haskell projects of mine and this is a major blocker to this
end. Did you run into any issues on the haskell-team branch?

If we want to avoid a world rebuild, we could look into packaging a
patched version of the Cabal Hackage package (superseding the one
vendored by GHC) and have cabal-install dependent on that patched
version.

Best,
Sören